
# Solutions in relation to Issues

## high CDN cost = Content Delivery

- cost goes to 10 USD at start, from v2.0 can be even lower.
 
## High cost of operations

- ThreeFold has developed a self healing capable system which can be adjusted for the operrations of RedZ.

## Ability to be shut down on the public cloud

- from v2.0 it will be extremely difficult to shutdown this service.

## App not ready to scale

- There is no scalability limit to v2.0, it can scale to billions.

## Ability to shutdown the mobile apps

- one app will be called TFConnect and will be the app running the peer2peer network Mycelium, identity management, reputation management, reliable message bus, geo dns, content caching,... TFConnect will be available for all major desktop and mobile platforms.
- Then there will be multiple apps which can be native and web, the apps will talk to TFConnect on the device or desktop.
- We suggest to also develop a rich web app which connects on the Phone to TFConnect, this cannot be blocked and would be ideal fall back solution in case the native mobile app gets blocked. Current web technology can be made in such a way it would act almost the same compared to native, thanks to TFConnect it would still be fast and highly responsive.

## GDPR

- By design resolved in 2.0, all data is owned by the user.

## Legal potential trouble

- Resolved by consultancy from TF, it can be done but is not trivial.

## Redundancy / Uptime

- v2.0 is 100% redundant and should never be able to go down.

## Performance

- v2.0 works as local as it can, providing best possible performance, as the network grows performance will be better for the users.

## protect against human error

- good procedures and using more of our self healing tech might help here.



