# ThreeFold Farming

Farming means a person offers compute, storage and network capacity to the network

- Farmers buy a node (500-2000 USD)
- A farmer connects the node(s) to internet and get rewards for providing capacity
- A farmer earns rewards upto 300 USD per month (for platinum).
- A farmer is helping his/her community to get access to sovereign Internet applications on an unbreakabale co-owned Internet.

## Farming


## Income for the farmers

A farmer can chose their own pricing but recommended are:

- 1-5 USD per person using the 3Nodes of the Farmer.
  - 50% of this fee goes to farmer, 50% to farming cooperative
- 5 USD per TB Storage per month
  - 50% of this fee goes to farmer, 50% to farming cooperative
- farmer defines price per TB transfer
  - max 5 USD in Europe/US, max 10 USD elsewhere
  - 80% of this fee goes to farmer, 20% to farming cooperative



### 3Node Silver

Will cost less than 500 USD.

### 3Node Gold

![](img/bl_silver.png)

Will cost less than 1000 USD.

### 3Node Platinum

![](img/bl_7840c.png)

Will cost less than 1800 USD.


### 3Node Datacenter

- put your own 3Node in a datacenter of choice, make sure you have great and cost effective reliable connectivity to internet.
- The Farmer buys their own hardware, ThreeFold supports the farmer to get up and running.

### 3Node Dedicated Rental

- rent a node in a dacenter, make sure you have good capacity in that datacenter. Companies like OVH and Hetzner come to mind as reliable and cost effective.

### Remarks

> For [simulation check here](https://docs.google.com/spreadsheets/d/1D6Q3Yav_SS356zAILwN4SrmqwYfLibT3E6oWrVPU4c8/edit#gid=170998100)

<br>

> the exact specs and look and feel can be different, but minimal resources will be the same


## Remarks

### Free Incoming Internet Traffic.

"Incoming internet traffic should be enabled to earn rewards from network bandwidth.

If a farmer lacks this capability, their 3Node will connect to a neighboring 3Node with good internet connectivity and public incoming access. In this case, the neighbor farmer will earn money from the internet traffic, while the farmer will continue to earn rewards for compute and storage."

All traffic is end2end encrypted over the Mycelium network = our P2P Network which lives on top of current Internet.

**There are 3 ways incoming traffic is possible.**

- IPv6 public ip address available
- IPv4 public ip address available (harder)
- Portforwarding or UPNP Incoming (we need tutorial how to check)


